import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsK8sCluster } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-22 11:31
 */
interface MsK8sClusterCU extends ConditionUtil<MsK8sClusterCU> {
    ID: FieldUtil<MsK8sClusterCU>;
    NAME: FieldUtil<MsK8sClusterCU>;
    CLOUD_PROVIDER: FieldUtil<MsK8sClusterCU>;
    JSON_CONFIG: FieldUtil<MsK8sClusterCU>;
    DISABLED: FieldUtil<MsK8sClusterCU>;
    CREATE_TIME: FieldUtil<MsK8sClusterCU>;
    UPDATE_TIME: FieldUtil<MsK8sClusterCU>;
    CLUSTER_TYPE: FieldUtil<MsK8sClusterCU>;
}
declare class MsK8sClusterMU extends TableUtilImpl<MsK8sClusterCU, MsK8sCluster> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsK8sClusterCU;
    static get ID(): FieldUtil<MsK8sClusterCU>;
    static get NAME(): FieldUtil<MsK8sClusterCU>;
    static get CLOUD_PROVIDER(): FieldUtil<MsK8sClusterCU>;
    static get JSON_CONFIG(): FieldUtil<MsK8sClusterCU>;
    static get DISABLED(): FieldUtil<MsK8sClusterCU>;
    static get CREATE_TIME(): FieldUtil<MsK8sClusterCU>;
    static get UPDATE_TIME(): FieldUtil<MsK8sClusterCU>;
    static get CLUSTER_TYPE(): FieldUtil<MsK8sClusterCU>;
    get ID(): FieldUtil<MsK8sClusterCU>;
    get NAME(): FieldUtil<MsK8sClusterCU>;
    get CLOUD_PROVIDER(): FieldUtil<MsK8sClusterCU>;
    get JSON_CONFIG(): FieldUtil<MsK8sClusterCU>;
    get DISABLED(): FieldUtil<MsK8sClusterCU>;
    get CREATE_TIME(): FieldUtil<MsK8sClusterCU>;
    get UPDATE_TIME(): FieldUtil<MsK8sClusterCU>;
    get CLUSTER_TYPE(): FieldUtil<MsK8sClusterCU>;
}
export { MsK8sClusterMU, MsK8sClusterCU };
